Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1695331 - TestIntegration/TestLegacyEndpointConfirmNoEscalation flaky (possibly post-rebase)
Summary: TestIntegration/TestLegacyEndpointConfirmNoEscalation flaky (possibly post-re...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Master
Version: 4.1
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.1.0
Assignee: Michal Fojtik
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-02 20:31 UTC by Clayton Coleman
Modified: 2019-04-15 15:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-15 15:04:10 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Clayton Coleman 2019-04-02 20:31:04 UTC
https://openshift-gce-devel.appspot.com/build/origin-ci-test/pr-logs/pull/22439/pull-ci-openshift-origin-master-integration/4517#githubcomopenshiftorigintestintegrationrunner-testintegrationtestlegacyendpointconfirmnoescalation


    	runner_test.go:129: FAILED TestLegacyEndpointConfirmNoEscalation, retrying:
    		
    			authorization_rbac_proxy_test.go:661: the server is currently unable to handle the request (get users.user.openshift.io test-user)

Comment 1 Erica von Buelow 2019-04-04 19:00:55 UTC
Seems to be an issue of availability of the openshift-apiserver. Moving to master

Comment 2 Michal Fojtik 2019-04-05 09:40:16 UTC
Looks like all OpenShift API services are returning 503 for some reason.

Comment 3 David Eads 2019-04-05 13:14:03 UTC
This needs to be re-written as an e2e test to gain stability.  It looks like it was a made as an integration tests for convenience instead of need for a custom config or fear of disruption.  Rather than devote our effort to a pretend environment, the test should focus on making sure the functionality works in the environment we actually ship.

Comment 4 Clayton Coleman 2019-04-05 14:05:30 UTC
If the master team wants to start the process by removing their tests from integration, that’s a good way to move.  But we still lack oauth e2e tests and regressing it in the short term isn’t acceptable.

If the master team needs additional assistance debugging that’s reasonable to ask for.

Comment 5 Michal Fojtik 2019-04-15 15:04:10 UTC
We can't reproduce this anymore.


Note You need to log in before you can comment on or make changes to this bug.